// Copyright 1999-2025. WebPros International GmbH. All rights reserved.

import React from 'react';
import PropTypes from 'prop-types';
import { CLS_PREFIX } from '../../constants';
import Button from '../Button';
import Icon from '../Icon';
import { jsx as _jsx } from "react/jsx-runtime";
const CardButton = _ref => {
  let {
    icon,
    baseClassName = `${CLS_PREFIX}card-button`,
    ...props
  } = _ref;
  return /*#__PURE__*/_jsx(Button, {
    icon: Icon.create(icon),
    baseClassName: baseClassName,
    ...props
  });
};
CardButton.propTypes = {
  /**
   * @ignore
   */
  baseClassName: PropTypes.string,
  icon: PropTypes.oneOfType([PropTypes.string, PropTypes.object, PropTypes.element]).isRequired
};
export default CardButton;